gtk.TextChildAnchor
Prev | The gtk Class Reference | Next

## gtk.TextChildAnchor

gtk.TextChildAnchor — a location in a textbuffer for placing widgets

## Synopsis

    class gtk.TextChildAnchor(gobject.GObject):
        gtk.TextChildAnchor()
        def get_widgets()
        def get_deleted()

## Ancestry

    +-- gobject.GObject
      +-- gtk.TextChildAnchor

## gtk.TextChildAnchor Signal Prototypes

gobject.GObject Signal Prototypes

## Description

A `gtk.TextChildAnchor` provides a location in a `gtk.TextBuffer` for placing child widgets in a `gtk.TextView`. Since a `gtk.TextBuffer` can be associated with more than one `gtk.TextView` a `gtk.TextChildAnchor` can have a different child widget inserted for each textview it is displayed in.

## Constructor

        gtk.TextChildAnchor()

Returns : | a new `gtk.TextChildAnchor` object

Creates a new `gtk.TextChildAnchor`. Usually you would then insert it into a `gtk.TextBuffer` with the `gtk.TextBuffer.insert_child_anchor`() method. To perform the creation and insertion in one step, use the convenience method `gtk.TextBuffer.create_child_anchor`() method.

## Methods

### gtk.TextChildAnchor.get_widgets

        def get_widgets()

Returns : | a list of widgets anchored at the child anchor

The `get_widgets`() method returns a list of all widgets anchored at this child anchor from all the associated textviews.

### gtk.TextChildAnchor.get_deleted

        def get_deleted()

Returns : | `True` if the child anchor has been deleted from its textbuffer

The `get_deleted`() method returns `True` if the child anchor has been deleted from its textbuffer.

Prev | Up | Next
gtk.TextBuffer | Home | gtk.TextIter